OpenapiGenerated
List scheduled cluster upgrades. Returns all scheduled cluster upgrades for an organisation when no filters are set.
GET
organisationSlug*clusterIdentities?array<>Optional list of cluster identities.
Default
[]statuses?array<>Optional list of cluster statuses.
Default
[]pageable*Optional. When omitted: pageSize=50, pageNumber=0, sortDirection=ASC
Request was successfully processed. The response body contains the requested data.
application/json- response
totalPages?integerFormat
int32totalElements?integerFormat
int64size?integerFormat
int32content?array<>number?integerFormat
int32sort?pageable?numberOfElements?integerFormat
int32first?booleanlast?booleanempty?booleancurl -X GET 'https://api.avisi.cloud/api/v1/orgs/slugValue,string/scheduled-cluster-upgrades?page=0&size=1&sort=string'{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ { "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "clusterIdentity": "5e08fe67-1274-475d-bd0c-a65b0330507f", "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "windowStart": "2019-08-24T14:15:22Z", "windowEnd": "2019-08-24T14:15:22Z", "reason": "string", "fromClusterVersion": "string", "toClusterVersion": "string", "status": "REQUESTED", "clusterSlug": "string", "environmentSlug": "string", "organisationSlug": "string", "scheduleRequestDate": "2019-08-24T14:15:22Z", "ignoreMaintenanceSchedule": true } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "paged": true, "pageNumber": 0, "pageSize": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true}